kompilieren von kde 3 programmen

gelber_hund

Pseudo-Root
Beiträge
137
ei der daus...das kompilieren von kde 3 programmen scheint wohl gar nicht mal so einfach zu sein :D

naja, jedenfalls bekam ich anfangs die meldungen, dass diverste libs nicht installiert wären, das nach dem nachinstallieren allerdings behoben werden konnte. nun kommt aber folgende meldung:

checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!

ok, er sucht wohl die kde headers, aber wie lege ich fest, wo sich diese befinden, und vor allem, wie kann ich feststellen, ob die überhaupt korrekt installiert sind...?

hatte einer von euch schon mal das gleiche problem?
 

devilz

Pro*phet
Beiträge
12.245
schau mal nach ob kde-devel drinn ist !

müßte mit apt-get install kde-devel

desweiteren soltest du noch qt-devel und kdelibs-devel installieten ...

aber da ich mich bei debian nicht genau mit den packeten auskenne sollte das mal nen DEBIAN USER übernehmen :-þ
 

gelber_hund

Pseudo-Root
Beiträge
137
hm, das kann ja was werden *g*

also, die das paket kde-devel braucht schon mal eine ganze reihe weitere pakete. die installation über apt-get brach er einmal ab und lieferte mir eine liste. also hab ich mal mit apt-get install das erste dieser pakete (libarts-dev) installieren wollen und bekam noch eine liste...

das erste davon mit apt-get install versucht zu installieren (libarts) und da will mir apt-get mein komplettes kde deinstallieren...

ein mist ist auch, dass die apt-get quelle für kde3 ( deb http://kde3.geniussystems.net/debian ./ ) nicht erkannt wird bei apt-get update. ich hab zwar auch eine andere quelle drin (sonst hätte ich ja kde 3 nicht installieren können ;) ) aber die scheint wohl nicht alle pakete zu liefern (kommt mir jedenfalls so vor, da ich über apt-get install immer nur versionen für kde 2 bekomme, die sich ja nicht mehr mit der 3er version vertragen)
 

MTS

Kaiser
Beiträge
1.242
kde-libs-devel

also die header dateien sind eigentlich in dem libs-devel Packet.
wenn du solche probleme mit den abhängigkeiten hast ... dann geh lieber auf kde.org, such dir deine Distri raus und lad sie dir erstmal alle auf die platte ;)
bevor du da stundenlang rumsitzt
 

Ähnliche Themen

Wieder mal Probleme mit yum

Kompilieren von Knoda

Soundkonverter lässt sich nicht installieren

Installieren von Software

Installationsfehler: in the prefix, you've chosen, are no KDE headers installed

Oben